cURL
curl --request PUT \
--url https://api.timbal.ai/orgs/{org_id}/billing/compute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"machines": {}
}'import requests
url = "https://api.timbal.ai/orgs/{org_id}/billing/compute"
payload = { "machines": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({machines: {}})
};
fetch('https://api.timbal.ai/orgs/{org_id}/billing/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
null{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Billing
Set Compute Billing
Set the compute machine add-ons purchased by the organization.
PUT
/
orgs
/
{org_id}
/
billing
/
compute
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Body
application/json
Desired machine count per size (e.g. {"medium": 1, "xlarge": 2}).
Sizes omitted from the map are set to zero.
Show child attributes
Show child attributes
Response
Compute machines updated
⌘I